Bug 5290 - ppp not logging in utmp/wtmp
ppp not logging in utmp/wtmp
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: ppp (Show other bugs)
6.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
: Security
: 6434 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-09-21 20:09 EDT by lcreech
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-06-10 17:20:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description lcreech 1999-09-21 20:09:07 EDT
Running RedHat 6.0 as a ppp dialup server with cyclades..

The ppp kernel/daemon not logging user accounts as being
currently logged in as seen from the "w" command. Pppd also
not giving up the virtual pppx (i.e. ppp0) connection in the
kernel allowing subsequent connetions on the same tty device
to have the same IP as a previous virtual connection,
example:

ppp0 has ip 205.175.220.210 as set by options.ttyS0
connection ends, next connection is ppp1 on ttyS0 and
gets the same IP. I dole out IP addresses by assigning
address to modems with  options.ttySxx. I have only 16 lines
and ended up with ppp0 - ppp18 and 3 lines out because of
conflicts.

The user does appear in the last log as being logged in,
even if the connection has termintated, untile the someone
else logs into to the same serial line.

This hardware has been running for 3 years using slackware,
long overdue for an upgrade.
Comment 1 Michael K. Johnson 1999-09-25 01:26:59 EDT
Try ppp-2.3.10 from rawhide -- it fixes a lot of bugs, and, while
I am not in a position at the moment to set up a modem bank to test
it, you might find that it solves your problem.
Comment 2 Michael K. Johnson 1999-11-08 10:57:59 EST
*** Bug 6434 has been marked as a duplicate of this bug. ***

I was suggested to upgrade pppd on RH6.0 to ver ppp-2.3.10.
Same exist with RH6.1 and ppp-2.3.10. here are the results
of "w" and "who" bogus info and other strange data:

[root@lonestar /root]# w
  5:53pm  up 4 days, 23:37, 35 users,  load average: 0.03,
0.04, 0.00
USER     TTY      FROM              LOGIN@   IDLE   JCPU
PCPU  WHAT
mhobbs   ttyC1    -                 5:24pm 28:41   1.16s
?     -
sphillip ttyC4    -                 5:50pm  2:20   0.59s
?     -
oconnor  ttyC5    -                 4:48pm  1:04m  1.10s
?     -
skhorton ttyC6    -                 5:45pm  7:47   1.01s
?     -
cbivie   ttyC7    -                 5:28pm 24:38   1.59s
?     -
dkiernan ttyC8    -                 5:16pm 36:12   1.23s
?     -
affite   ttyC9    -                 5:39pm 13:36   0.41s
?     -
jcpegram ttyCB    -                 5:49pm  3:13   0.37s
?     -
clingan  ttyCC    -                 5:49pm  3:10   0.25s
?     -
lcreech  ttyCD    -                Mon 8am  2days  0.53s
?     -
llnguyen ttyCE    -                 5:51pm  1:42   1.60s
?     -
jskinner ttyCF    -                 5:01pm 52:07   1.02s
?     -
emwiley  ttyCA    -                 5:41pm 11:05   3.93s
?     -
cggraham ttyC3    -                 4:31pm  1:22m  1.51s
?     -
emwiley  ttyCA    -                 5:42pm 11:05   3.93s
?     -
dkiernan ttyC8    -                 5:16pm 36:12   1.23s
?     -
lcreech  pts/0    corral.comsys.ro  5:22pm  0.00s  0.98s
?     -
lcreech  pts/3    corral.comsys.ro 10:42am  7:08m  0.88s
?     -
[root@lon[root@lonestar /root]# who
mhobbs   ttyC1    Oct 27 17:24
jmckenzi ttyC3    Oct 22 18:31
sphillip ttyC4    Oct 27 17:50
oconnor  ttyC5    Oct 27 16:48
skhorton ttyC6    Oct 27 17:45
cbivie   ttyC7    Oct 27 17:28
dkiernan ttyC8    Oct 27 17:16
affite   ttyC9    Oct 27 17:39
Q/V34/L  ttyCA    Oct 22 18:17
jcpegram ttyCB    Oct 27 17:49
clingan  ttyCC    Oct 27 17:49
lcreech  ttyCD    Oct 25 08:44
llnguyen ttyCE    Oct 27 17:51
jskinner ttyCF    Oct 27 17:01
Q/V34/L  ttyC3    Oct 22 18:22
cggraham ttyC3    Oct 27 16:31
emwiley  ttyCB    Oct 27 17:08
emwiley  ttyCA    Oct 27 17:42
lrschmit ttyC5    Oct 26 18:52
dsgriffi ttyCD    Oct 24 21:51
rjkirby  ttyC1    Oct 26 21:30
pearson  ttyC2    Oct 27 01:14
dkiernan ttyC8    Oct 27 17:16
jvstith  ttyCE    Oct 26 19:42
lcreech  pts/0    Oct 27 17:22
jcday    ttyCF    Oct 27 12:51
jmendoza ttyC3    Oct 24 15:25
jlwaddin ttyC4    Oct 27 17:13
jvstith  ttyC0    Oct 27 08:11
lrschmit ttyC9    Oct 27 06:58
acantu   ttyC7    Oct 26 22:17
jlwaddin ttyCC    Oct 27 12:42
rjkirby  ttyC6    Oct 26 10:27
lcreech  pts/3    Oct 27 10:42
[root@lonestar /root]#
[root@lonestar /root]# ps aux | grep pppd
root     31595  0.0  0.2  1544  152 ttyCD    S    Oct25
0:00 /usr/sbin/pppd
root     30163  0.0  1.7  1980 1080 ttyC3    S    15:56
0:01 pppd auth -chap +
root     30301  0.0  1.7  1980 1080 ttyC5    S    16:14
0:01 pppd auth -chap +
root     30888  0.0  1.7  1980 1080 ttyCF    S    16:46
0:01 pppd auth -chap +
root     31643  0.0  1.7  1980 1092 ttyC8    S    17:16
0:00 /usr/sbin/pppd
root     31828  0.0  1.7  1980 1080 ttyC7    S    17:23
0:01 pppd auth -chap +
root     31883  0.0  1.7  1980 1080 ttyC9    S    17:24
0:00 pppd auth -chap +
root     32123  0.0  1.7  1980 1080 ttyC6    S    17:38
0:01 pppd auth -chap +
root     32133  0.0  1.7  1980 1080 ttyCB    S    17:38
0:00 pppd auth -chap +
root     32191  0.0  1.7  1980 1080 ttyCC    S    17:40
0:00 pppd auth -chap +
root     32279  0.2  1.7  1980 1080 ttyCE    S    17:44
0:01 pppd auth -chap +
root     32337  0.1  1.7  1980 1080 ttyC4    S    17:48
0:00 pppd auth -chap +
root     32339  0.4  1.7  1980 1080 ttyC0    S    17:48
0:01 pppd auth -chap +
root     32579  0.0  0.7  1168  456 pts/0    S    17:56
0:00 grep pppd
[root@lonestar /root]#

[root@lonestar /root]# tail -100 /var/log/messages | grep
user | grep by
Oct 27 17:49:55 lonestar PAM_pwdb[32133]: (ppp) session
opened for user jcpegram by emwiley(uid=0)
Oct 27 17:49:58 lonestar PAM_pwdb[32191]: (ppp) session
opened for user clingan by jlwaddin(uid=0)
Oct 27 17:50:49 lonestar PAM_pwdb[32337]: (ppp) session
opened for user sphillip by jlwaddin(uid=0)
Oct 27 17:50:58 lonestar PAM_pwdb[32441]: (su) session
opened for user admin by lcreech(uid=501)
Oct 27 17:51:26 lonestar PAM_pwdb[32279]: (ppp) session
opened for user llnguyen by jvstith(uid=0)
Oct 27 17:56:00 lonestar PAM_pwdb[32339]: (ppp) session
opened for user kstclair by jvstith(uid=0)
[root@lonestar /root]#


------- Additional Comments From lcreech@rcclub.org  10/28/99 19:01 -------
After loss of connection and pppd terminates. Somes, (the kernel?) not
releasing pppX (where is a number from 0-15) as shown by ifconfig.
When this happens the phone line is then unusable because pppd cannot
initiate a new connection with the ip address already in use by a
previously terminated ppp connection. In order to clear the problem I
must reboot. Bad, very bad.
Comment 3 Nalin Dahyabhai 2000-02-07 12:17:59 EST
Please try the test release at
http://people.redhat.com/nalin/ppp-2.3.11-3.i386.rpm,
which I'm fairly sure fixes this problem.
Comment 4 Nalin Dahyabhai 2000-06-10 17:20:10 EDT
Did the test release fix the problem for you?  I've heard no problem reports
about this version, so am looking at closing this bug report out.

Note You need to log in before you can comment on or make changes to this bug.